<?php
/*---------------------------------------------------------------*/
/*
    Titre : Affiche les métadonnées de vos tables                                                                       
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1107
    Date dition     : 13 Sept 2019                                                                                       
    Date mise  jour : 13 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
    --
    -- Table `phpsources_test`
    --

    CREATE TABLE IF NOT EXISTS `phpsources_test` (
      `id_test` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
      `texte` text,
      PRIMARY KEY (`id_test`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

    --
    -- Données de la table `phpsources_test`
    --

    INSERT INTO `phpsources_test` (`id_test`, `texte`) VALUES
    (1, 'I love PHP'),
    (2, 'I do PHP');

                               
<?php

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);


   $q = $conn->query('SELECT * FROM phpsources_test');

   echo '<table border="1">';

    /* Get field information for column 'SurfaceArea' */
    for ($i = 0; $i < $q->num_rows; $i++) {
    $finfo = mysqli_fetch_field_direct($q, $i);
    echo '<tr>';
    printf("Nom        : %s\n", $finfo->name).'';
    printf("Table      : %s\n", $finfo->table);
    printf("Taille max : %d\n", $finfo->max_length);
    printf("Flags      : %d\n", $finfo->flags);
    printf("Type       : %d\n", $finfo->type);
    echo '</tr>';
    }
    echo '</tr>';

    while ($row = mysqli_fetch_row($q)) {
    echo '<tr>';
   
    for ($j = 0; $j < count($row); $j++) {
        echo '<td>';
        echo ($row[$j] == NULL) ? '<i>NULL</i>' : $row[$j];
        echo '</td>';
    }
   
    echo '</tr>';
   }
?>